[pacman-dev] Makepkg missing check for empty pkgname
K. Piche
kpiche at rogers.com
Sat Dec 22 18:58:49 EST 2007
I thought it was wierd that makepkg didn't do a sanity check for the
$pkgname. This makes for a simple first try at a GIT patch.
Can outgoing SMTP be setup on patch generation? Seems silly to import a
text file in evolution everytime...
Signed-off-by: K. Piche <kevin at archlinux.org>
---
scripts/makepkg.sh.in | 4 ++++
1 files changed, 4 insertions(+), 0 deletions(-)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index ef7bae5..f37772a 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1288,6 +1288,10 @@ fi
source "$BUILDSCRIPT"
# check for no-no's in the build script
+if [ -z "$pkgname" ]; then
+ error "$(gettext "%s is not allowed to be empty.")" "pkgname"
+ exit 1
+fi
if [ -z "$pkgver" ]; then
error "$(gettext "%s is not allowed to be empty.")" "pkgver"
exit 1
--
1.5.3.7
--
K. Piche <kpiche at rogers.com>
More information about the pacman-dev
mailing list